Package org.sqlite

## Enum SQLiteConfig.LockingMode

- java.lang.Object
- - java.lang.Enum<SQLiteConfig.LockingMode>
  - - org.sqlite.SQLiteConfig.LockingMode

All Implemented Interfaces:
  `Serializable`, `Comparable<SQLiteConfig.LockingMode>`

Enclosing class:
  SQLiteConfig

    public static enum SQLiteConfig.LockingMode
    extends Enum<SQLiteConfig.LockingMode>

### Enum Constant Summary

Enum Constants
`EXCLUSIVE`
`NORMAL`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getValue()`
`static SQLiteConfig.LockingMode` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static SQLiteConfig.LockingMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NORMAL

    public static final SQLiteConfig.LockingMode NORMAL

#### EXCLUSIVE

    public static final SQLiteConfig.LockingMode EXCLUSIVE

### Method Detail

#### values

    public static SQLiteConfig.LockingMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SQLiteConfig.LockingMode c : SQLiteConfig.LockingMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SQLiteConfig.LockingMode valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getValue

    public String getValue()